#!/bin/bash
#
# chkconfig:   2345 99 25
# name:        /etc/init.d/nrservice.sh
# description: Starts and stops NeoRouter client service
# os:          Redhat, Fedora
# contact:     support@neorouter.com 

NAME=nrservice
DAEMON=/usr/bin/$NAME
# include Redhat base init script
. /etc/rc.d/init.d/functions

RETVAL=0
start() {
	echo -n $"Starting $NAME services: "
	daemon $DAEMON >/dev/null &
	RETVAL=$?
	echo
	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$NAME || RETVAL=1
	return $RETVAL
}	

stop() {
	echo -n $"Shutting down $NAME services: "
	killproc $NAME
	RETVAL=$?
	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$NAME
	return $RETVAL
}	

restart() {
	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart)
  	restart
	;;
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 2
esac

exit $?
